#ifndef ENUMERATE_H
#define ENUMERATE_H

#include "mat.h"
#include "coxeter.h"

struct tracedata {
	int id;
	NUMBER tr;
	NUMBER trinv;
};

void enumerate_coxeter_group(group_t *group, mat *gen, mat *matrices);
int enumerate_coxeter_group_traces(group_t *group, mat *gen, struct tracedata **traces_out);

void enumerate_tracedata_clear(struct tracedata *traces, int n);

#endif
